<!DOCTYPE html>
<html lang="en">
<head>
    <meta charset="UTF-8">
    <meta name="viewport" content="width=device-width, initial-scale=1.0">
    <title>Document</title>
</head>
<body>
<script>
var c = new Array(1,2,3,4,5,6,7,8,9,10,11,12,13,14,15);
document.write(c);
document.write("<hr>");
var a = new Array(1,2,3,4,5,6,7,8,9,10,11,12,13,14,15);
a.reverse(1,2,3,4,5,6,7,8,9,10,11,12,13,14,15);
document.write(a);
document.write("<hr>");
let res = a.join("&#9729;");
document.write(res);
document.write("<hr>");
alert('Введите индекс');
prompt(i='');
var i = [1, 2, 3];
document.write("<p>Исходный массив: " + i.join(" "));
document.write("<hr/>");
var value = i.shift();
document.write("<p>Массив после сдвига: " + i.join(" "));
document.write("<p>Выдвинутое значение: " + value);
</script>
</body>
</html>